//
//  YMBarItemView.m
//  PCDBank
//
//  Created by Gusont on 2020/12/2.
//  Copyright © 2020 YMBank. All rights reserved.
//

#import "YMBarItemView.h"

@interface YMBarItemView ()

@end

@implementation YMBarItemView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self confignBarItemView];
    }
    return self;
}

- (void)confignBarItemView
{

}

- (UIImageView *)itemImageView
{
    if (!_itemImageView) {
        _itemImageView = [[UIImageView alloc] initWithFrame:CGRectZero];
        [self addSubview:_itemImageView];
    }
    return _itemImageView;
}

- (UILabel *)itemTitleLabel
{
    if (!_itemTitleLabel) {
        _itemTitleLabel = [[UILabel alloc] initWithFrame:CGRectZero];
        _itemTitleLabel.textAlignment = NSTextAlignmentCenter;
        _itemTitleLabel.font = [UIFont systemFontOfSize:15.f];
        _itemTitleLabel.adjustsFontSizeToFitWidth = YES;
        [self addSubview:_itemTitleLabel];
    }
    return _itemTitleLabel;
}



@end
